Package name.pachler.nio.file

# Interface WatchEvent.Modifier<T>

Type Parameters:
  `T` - The context type for the modifier.

All Known Implementing Classes:
  `PathWatchEventModifier`

Enclosing class:
  `WatchEvent<T>`

public static interface WatchEvent.Modifier<T>
A modifier can be specified to `register` to change the way changes to a watchable are reported. jpathwatch defines a set of modifiers in the `ExtendedWatchEventModifier` class.

See Also:
  - `ExtendedWatchEventModifier`

## Method Summary

Modifier and Type
Method
Description
`String`
`name()`
The modifier's name should be used for informative purposes only (like error reporting).

## Method Details

### name

String name()
The modifier's name should be used for informative purposes only (like error reporting).

Returns:
  the modifier's name